Notifly
API ReferenceTopics

List all topics

This api returns a paginated list of topics. Topics can be filtered by **key**, **name**, or **includeCursor** to paginate through the list. Checkout all available filters in the query section.

GET
/v2/topics

This api returns a paginated list of topics. Topics can be filtered by key, name, or includeCursor to paginate through the list. Checkout all available filters in the query section.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Query Parameters

after?string

Cursor for pagination indicating the starting point after which to fetch results.

before?string

Cursor for pagination indicating the ending point before which to fetch results.

limit?number

Limit the number of items to return (max 100)

Rangevalue <= 100
orderDirection?string

Direction of sorting

Value in

  • "ASC"
  • "DESC"
orderBy?string

Field to order by

includeCursor?boolean

Include cursor item in response

key?string

Key of the topic to filter results.

name?string

Name of the topic to filter results.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/topics?limit=10"
{  "data": {    "data": [      {        "_id": "64da692e9a94fb2e6449ad06",        "key": "product-updates",        "name": "Product Updates",        "createdAt": "2023-08-15T00:00:00.000Z",        "updatedAt": "2023-08-15T00:00:00.000Z"      }    ],    "next": "string",    "previous": "string",    "totalCount": 0,    "totalCountCapped": true  }}